Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 529826 - dev-db/couchdb with SYMLINK_LIB=no LIBDIR_x86=lib - configure: error: Could not find the `erl_driver.h' header.
Summary: dev-db/couchdb with SYMLINK_LIB=no LIBDIR_x86=lib - configure: error: Could n...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Dirkjan Ochtman
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: no-symlink-lib
  Show dependency tree
 
Reported: 2014-11-19 07:00 UTC by Alexander Tsoy
Modified: 2014-12-29 10:53 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
couchdb-1.6.0-build.log (couchdb-1.6.0-build.log,10.65 KB, text/plain)
2014-11-19 07:00 UTC, Alexander Tsoy
Details
couchdb-1.6.0.ebuild.patch (couchdb-1.6.0.ebuild.patch,565 bytes, patch)
2014-11-19 07:31 UTC, Alexander Tsoy
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Tsoy 2014-11-19 07:00:54 UTC
Created attachment 389702 [details]
couchdb-1.6.0-build.log

Please ignore "unexpected operator" warnings in build log. This is due to a dash shell and bashisms in configure script. Actual configure error:

< snip >
checking erl_driver.h usability... no
checking erl_driver.h presence... no
checking for erl_driver.h... no
configure: error: Could not find the `erl_driver.h' header.


# qlist erlang | grep erl_driver.h
/usr/lib64/erlang/usr/include/erl_driver.h
/usr/lib64/erlang/erts-5.9.3.1/include/erl_driver.h


Fix:

@@ -39,7 +39,7 @@
 
 src_configure() {
        econf \
-               --with-erlang=/usr/lib/erlang/usr/include \
+               --with-erlang=/usr/$(get_libdir)/erlang/usr/include \
                --localstatedir=/var \
                --with-js-lib=/usr/lib
        # bug 296609, upstream bug #COUCHDB-621



vm3020 ~ # emerge --info couchdb
Portage 2.2.14 (python 3.3.5-final-0, hardened/linux/amd64, gcc-4.8.3, glibc-2.19-r1, 2.6.32 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-2.6.32-x86_64-Intel-R-_Xeon-R-_CPU_E5630_@_2.53GHz-with-gentoo-2.2
KiB Mem:     4194304 total,   1102292 free
KiB Swap:    4194304 total,   4183828 free
Timestamp of tree: Tue, 18 Nov 2014 00:45:01 +0000
ld GNU ld (Gentoo 2.24 p1.4) 2.24
distcc 3.1 x86_64-pc-linux-gnu [disabled]
app-shells/bash:          4.2_p53
dev-java/java-config:     2.2.0
dev-lang/perl:            5.18.2-r2
dev-lang/python:          2.7.7, 3.3.5-r1, 3.4.1
dev-util/cmake:           2.8.12.2-r1
dev-util/pkgconfig:       0.28-r1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6-r1, 1.13.4
sys-devel/binutils:       2.24-r3
sys-devel/gcc:            4.8.3
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.3-r2
sys-devel/make:           4.0-r1
sys-kernel/linux-headers: 3.16 (virtual/os-headers)
sys-libs/glibc:           2.19-r1
Repositories: gentoo local puleglot
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/easy-rsa /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe"
DISTDIR="/var/cache/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps=y --binpkg-respect-use=y --ask-enter-invalid"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildsyspkg config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms split-log strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync webrsync-gpg xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://mirror.agava.net/gentoo/"
LANG="ru_RU.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j8"
PKGDIR="/var/cache/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/var/cache/portage/tree"
PORTDIR_OVERLAY="/usr/local/portage /var/cache/portage/repos/puleglot"
SYNC=""
USE="X aac acl acpi aio alsa amd64 amr ape asyncns avahi bash-completion berkdb bluetooth bluray branding bzip2 cairo caps cdda cddb cdparanoia cdr cli colord cracklib crypt cryptsetup cups cxx dbus dconf device-mapper djvu dri dts dvd dvdr eds egl evo examples exif faac faad ffmpeg flac fontconfig fuse gdbm gif gnome gnome-keyring gnome-online-accounts gpm gstreamer gtk gtk3 hardened iconv icu idn ieee1394 introspection ipv6 jpeg jpeg2k justify libass libnotify libsamplerate libsecret lz4 lzma mac mad maildir mms mmx mmxext modules mp3 mp4 multilib musepack musicbrainz nautilus ncurses networkmanager nls nptl nptlonly ogg openal opengl openmp opus pam pax_kernel pcre perl pmu png policykit postscript pulseaudio python raw readline samba sasl session socialweb speex sse sse2 sse3 ssl startup-notification svg systemd tcpd theora tiff tls truetype udev unicode urandom usb vdpau vim-syntax vorbis vpx wavpack webp x264 xattr xfs xtpax xv xvid xz zeroconf zlib" ABI_X86="64 32" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="*" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en ru" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" QEMU_SOFTMMU_TARGETS="aarch64 arm i386 mips mips64 mips64el mipsel ppc ppc64 ppcemb x86_64" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="radeon radeonsi intel modesetting vesa v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Alexander Tsoy 2014-11-19 07:31:14 UTC
Created attachment 389704 [details, diff]
couchdb-1.6.0.ebuild.patch

Better patch. Also fix --with-js-lib
Comment 2 Dirkjan Ochtman gentoo-dev 2014-12-29 10:53:10 UTC
Fixed in couchdb-1.6.1.